import { css, Theme } from "@emotion/react";
import { mq } from "./style-predefines";

export const globalStyle = (theme: Theme) => css`
  :root {
    color-scheme: light dark;
    font-family: Inter, Avenir, Helvetica, Arial, sans-serif;
    font-size: 0.625;
    font-synthesis: none;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    -webkit-text-size-adjust: 100%;
    color: ${theme.foregroundColor.light};
    background-color: ${theme.backgroundColor.light};
    overflow: hidden;
    height: 100vh;
    width: 100vw;
    ${mq.dark} {
      color: ${theme.foregroundColor.dark};
      background-color: ${theme.backgroundColor.dark};
    }
  }
  body {
    height: inherit;
    width: inherit;
    overflow: hidden;
    #root {
      height: inherit;
      width: inherit;
    }
  }
`;
