import { Global, ThemeProvider } from "@emotion/react";
import "normalize.css";
import React from "react";
import ReactDOM from "react-dom/client";
import { RouterProvider } from "react-router-dom";
import { globalStyle } from "./global-style";
import { routes } from "./pages";
import { theme } from "./theme";

ReactDOM.createRoot(document.getElementById("root") as HTMLElement).render(
  <React.StrictMode>
    <ThemeProvider theme={theme}>
      <Global styles={globalStyle} />
      <RouterProvider router={routes} />
    </ThemeProvider>
  </React.StrictMode>
);
