import { NavigationBar, WindowMoveHandler } from "@/components";
import { flex } from "@/style-predefines";
import { css } from "@emotion/react";
import styled from "@emotion/styled";

const LayoutContainer = styled.div(
  ({ theme }) => css`
    height: 100%;
    width: 100%;
    overflow: hidden;
    ${flex(theme, "row", "flex-start", "stretch")}
    .main-content {
      flex-grow: 1;
      overflow: hidden;
    }
  `
);

export function MainLayout() {
  return (
    <LayoutContainer>
      <WindowMoveHandler />
      <NavigationBar />
      <div className="main-content">Main Content</div>
    </LayoutContainer>
  );
}
